Bug 43909 - fsck of RAID devices isn't serialized
fsck of RAID devices isn't serialized
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
7.1
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-07 17:49 EDT by Alexandre Oliva
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 17:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2001-06-07 17:49:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9)
Gecko/20010507

Description of problem:
fsck doesn't notice that RAID devices live on the same disks, and checks
them in parallel.

How reproducible:
Always

Steps to Reproduce:
1.Create multiple RAID devices, each using one partition from the same set
of disks.
2.Press the reset switch.
3.Note how it checks all RAID devices in parallel.
	

Actual Results:  fsck takes a long time to complete, and the disks' heads
move like crazy.

Expected Results:  RAID devices built off partitions in the same disks
should be serialized.

Additional info:

I've worked around the problem by using increasing fs_passno numbers.
Comment 1 Florian La Roche 2001-06-29 06:26:00 EDT
e2fsprogs-1.22 treat all md devices to be on the same harddisk, so at least
multiple raid devices don't get checked at the same time. So partial
solutions are implemented, the passno configuration should be used to
fix other setups.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.